### Method

# Hex Document find_finish

#### Declaration

    HexDocumentFindData*
    hex_document_find_finish (
      HexDocument* doc,
      GAsyncResult* result
    )

#### Description

Obtain the result of a completed asynchronous find operation (forwards or backwards).

#### Parameters

`result`

  Type: `GAsyncResult`

  Result of the task.

  The data is owned by the caller of the method.

#### Return value

Type: `HexDocumentFindData`

A pointer to a `HexDocumentFindData` structure, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.